Registrarse
Página 1 de 3 123 ÚltimoÚltimo
Resultados 1 al 50 de 104
  1. #1
    Ingreso
    28 May, 09
    Ubicación
    Sevilla
    Mensajes
    39
    Post Thanks / Like

    ZeroNoise para linux (nativo i386 32bits y pronto 64bits)

    Hola, a todos. ¡¡¡

    A los que me habéis seguido en otros mensajes, de los pocos que he publicado, y a los que no, deciros que ya está disponible la versión nativa (sin emuladores ni nada) de ZeroNoise para linux en su plataforma i386.

    Le he mandado el ejecutable en un ZIP a Guillermo Luijk, para que lo ponga disponible en su web. Lo podéis bajar de aquí:ZeroNoise para linux

    ZN linux v1.04

    Esta basado en su hermano, ZN para windows v1.04 y genera exactamente las misma imágenes que él, píxel por píxel.

    Está realizado íntegramente en C++ y la velocidad es una de sus principales características.
    Diferencias respecto a la versión para windows:

    1- El interfaz o GUI es dinámico, es decir, se puede maximizar y minimizar. Nota: Actualmente la versión en desarrollo usa pestañas para agrupar los distintos grupos de opciones de trabajo (Opciones dcraw, creacion mapas, blender,...).

    2- Selección múltiple de ficheros RAW de entrada (usando la tecla control). Ya no es necesario seleccionar todos los ficheros de un directorio, sólo los que nos interesan para nuestra sesión de trabajo. Y por supuesto, no existe limitación alguna el lo largo que pueda ser el path de los mismos.

    3
    - Botón “Recalculate”. Este botón actualiza la imagen de pantalla (y los parámetros de los tiff de salida lineales que produce dcraw inicialmente para trabajar sobre ellos) sólo cuando lo pulsamos, así podemos hacer varios cambios a la vez en los parámetros de Dcraw y no tenemos que esperar que se regenere la imagen con cada cambio hecho.

    4- Botón “Turbo Mode”. Este botón elimina las barras de progreso de las tareas que consumen más recursos acelerando el proceso de cálculo (la información de éstos procesos se puede seguir en las ventanas de texto). Además, usará cuadrados, en lugar de círculos en algunas rutinas de creación de mapas (como antighost y progresive blending ), acelerando muchísimo el proceso y modificando en muy poco la imagen final (a probar por vosotros si es admisible o no la diferencia)

    5- En en balance de blancos manual (WB), cuando seleccionamos una zona circular o cuadrada para el cálculo del balance de blanco, la rueda del ratón permite ir rotando los colores del marco de selección, para permitir una mejor visión en determinados casos.

    6- No tiene limitaciones en el número de ficheros raw a tratar, es decir, no pone 'aspitas rojas'. Jejeje (Gracias, Guillermo, por recordármelo)

    Por lo demás es igual, sólo que más rápido.

    Nota: Hay algunas funciones que aún no he implementado, como el BN, pero en breve estarán disponibles.

    ¿ Y qué nos depara ?

    El siguiente paso es conseguir imágenes finales, con la aplicación automática (o mediante selección) de la curva de brillo y su correspondiente máscara, curva de contraste y saturación de los colores. Esto es para la siguiente versión. Además, al ser código portáble, en breve aparecerán las versiones para Windows y ¿Mac?. En ello estoy......jejeje

    ¿ Como instalarlo ?

    Sencillo, descarga el fichero ZIP (del lugar dónde Guillermo lo haya puesto disponible, supongo que en su web GUILLERMO LUIJK) , dentro vienen dos ficheros uno llamado ZN (que debe ponerse como ejecutable) y otro default.png, que debe estar en el mismo directorio que ZN, sino, no arrancará el programa.

    Para hacer ejecutable el fichero ZN, abrid la consola , iros al directorio donde esté el fichero y teclear:

    chmod +x ZN

    luego pulsar intro y ya está, listo para ejecutarlo.

    Esta versión está compilada bajo UBUNTU 9.04 JAUNTY. Hasta que no aprenda a hacer paquetes .DEB no podré facilitar versiones para otras distribuciones. Paciencia, uno no puede saber de todo jeje.

    Que yo sepa, hay que tener instaladas al menos las librerías: libtiff, libjpeg, libpng y seguro que alguna cosita más (esto se hará de forma automática cuando el programa se distribuya mediante paquetes .deb )

    Si tenéis problemas con dependencias incumplidas, mirad en este post, un poco más abajo, donde indico los 4 pasos para instalar lo necesario para ejecutar el programa.

    Nota: si queréis saber las dependencias del programa, ejecutar desde la consola la orden:

    ldd ZN

    y os saldrá un listado de todas las dependencias del mismo.

    Por cierto, se trata de una versión funcional, seguro que contiene errores y hay, además, un montón de TO-DO pendientes, agradeceré cualquier notificación de ellos, tanto de errores como de nuevas funcionalidades que se os ocurran.

    Docepollos...

    PD: Un error conocido, si se cancela la selección inicial de ficheros sin escoger ninguno, el programa finaliza.

    PD2: En otro de mis mensajes anteriores podéis ver una captura de pantalla y los tiempos de ejecución comparados entre ambas versiones. Como os dije, esta versión es muy, muy rápida, y esto es así en modo normal, el modo turbo es un añadido posterior que aumenta muchísimo más la velocidad, jejeje
    Última edición por docepollos; 08/09/2009 a las 12:01 Razón: Añadir enlace al programa para su descarga y punto 6-

  2. #2
    Ingreso
    07 Mar, 06
    Ubicación
    Madrid (a ratos Alicante)
    Mensajes
    9,465
    Post Thanks / Like
    Ya he colgado el ZIP para descarga en la web: DESCARGA ZERO NOISE V1.04 PARA LINUX.

    Algo que no ha comentado Juan Manuel, es que hemos acordado que la versión Linux no añadirá ninguna marca de agua cuando se fusionen más de dos archivos RAW, lo que sí ocurre en la versión Windows actual.

    Sería bueno que este hilo se conviertiera en el lugar para comentar experiencias, dudas, propuestas,... sobre esta versión Linux de Zero Noise (yo estoy por instalarme Linux en una partición!).

    Salu2
    "En ocasiones veo halos."

    http://www.guillermoluijk.com para suscribirte haz clic aquí
    Último contenido: EL MITO DEL TRÍPODE QUE ASESINÓ A UN ESTABILIZADOR

  3. #3
    dgncadiz Guest
    Cita Iniciado por Guillermo Luijk Ver mensaje
    Algo que no ha comentado Juan Manuel, es que hemos acordado que la versión Linux no añadirá ninguna marca de agua cuando se fusionen más de dos archivos RAW, lo que sí ocurre en la versión Windows actual.

    Jodeeeeer, con las ganas que tengo de meterle mano al ZN sin las aspas...¿y por qué no en Windows? Esto es conspiración contra Windows, fijo.
    Tú dime cuánto tengo que soborn...pagarte para tener una versión sin aspas.
    Última edición por dgncadiz; 05/09/2009 a las 23:43

  4. #4
    Ingreso
    07 Mar, 06
    Ubicación
    Madrid (a ratos Alicante)
    Mensajes
    9,465
    Post Thanks / Like
    Cita Iniciado por dgncadiz Ver mensaje
    Jodeeeeer, con las ganas que tengo de meterle mano al ZN sin las aspas...¿y por qué no en Windows? Esto es conspiración contra Windows, fijo.
    Tú dime cuánto tengo que soborn...pagarte para tener una versión sin aspas.
    Me cae simpático el mundo Linux (aunque no lo tenga instalado, mi pereza me lo impide). Los que lo usan se las ven y se las desean esperando software fotográfico a la altura del que hay en Windows, y me parece bien que la versión de Linux no solo no esté capada sino que además sea la más rapida y mejor, al menos por un tiempo.

    El motivo de que prefiera no quitarle las aspas a la versión de Windows con más de dos RAWs es una cierta decepción. El programa base lleva 11400 descargas y la actualización a la última versión más de 3600. Recibo numerosos emails "quejándose" por las aspas, pero el botón de donaciones al proyecto tiene telarañas. Ante esta tesitura que me parece un poco injusta, sinceramente prefiero elegir no regalar mi esfuerzo. De todos modos ya debe circular de estrangis por ahí sin aspas porque a los talleres lo llevo sin la limitación

    Salu2
    "En ocasiones veo halos."

    http://www.guillermoluijk.com para suscribirte haz clic aquí
    Último contenido: EL MITO DEL TRÍPODE QUE ASESINÓ A UN ESTABILIZADOR

  5. #5
    Ingreso
    28 May, 09
    Ubicación
    Sevilla
    Mensajes
    39
    Post Thanks / Like
    Cita Iniciado por dgncadiz Ver mensaje
    Jodeeeeer, con las ganas que tengo de meterle mano al ZN sin las aspas...¿y por qué no en Windows? Esto es conspiración contra Windows, fijo.
    Tú dime cuánto tengo que soborn...pagarte para tener una versión sin aspas.
    Po, eh fasí, fasí, ya tienes las excusa para probar un Linux (Ubuntu) y no verás las aspitas, jejeje, además de la velocidad extra. Si es que lo queréis todo...

    Por cierto, estoy investigando cómo generar imágenes finales también.... pero todo bajo linux...

    Y a Guille, le tengo que pasar una versión compilada bajo win... ufff, me va a dolé tener que arrancar el mostruo ese, aunque sea bajo emulación....

    Muac.

  6. #6
    Ingreso
    11 Jan, 04
    Ubicación
    Albacete
    Mensajes
    1,656
    Post Thanks / Like
    He probado a ejecutar el programa en una Ubuntu Hardy 8.04 (aunque aclaras que lo has compilado en una 9.04) y me da error porque no encuentra la librería libwx_gtk2u_richtext-2.8.so.0 (y otras cuantas de libwx). Lo curioso es que sí que tengo instalada esa librería y las otras que da como no encontradas.

    Supongo que será por la diferencia de versiones de Ubuntu

    Un saludo
    Mi cámara: Canon EOS300D + EFS 18-55 + EF 70-200 f4 L + Tamron SP AF24-135 Macro
    Mi laboratorio: The Gimp 2.2

    Mi galería: aquí

  7. #7
    dgncadiz Guest
    Cita Iniciado por Guillermo Luijk Ver mensaje
    Me cae simpático el mundo Linux (aunque no lo tenga instalado, mi pereza me lo impide). Los que lo usan se las ven y se las desean esperando software fotográfico a la altura del que hay en Windows, y me parece bien que la versión de Linux no solo no esté capada sino que además sea la más rapida y mejor, al menos por un tiempo.

    El motivo de que prefiera no quitarle las aspas a la versión de Windows con más de dos RAWs es una cierta decepción. El programa base lleva 11400 descargas y la actualización a la última versión más de 3600. Recibo numerosos emails "quejándose" por las aspas, pero el botón de donaciones al proyecto tiene telarañas. Ante esta tesitura que me parece un poco injusta, sinceramente prefiero elegir no regalar mi esfuerzo. De todos modos ya debe circular de estrangis por ahí sin aspas porque a los talleres lo llevo sin la limitación

    Salu2
    ¿Y por qué no lo pones de pago? Yo encantado de la vida (salvo si lo pones a 2000 euros, claro). Bueno, tus razones tendrás. Quizás si le quitases las aspas la gente donaría un poco más. Yo donaría, de hecho ya sabes que hice una pequeña.
    Saludos.

  8. #8
    Ingreso
    28 May, 09
    Ubicación
    Sevilla
    Mensajes
    39
    Post Thanks / Like
    Cita Iniciado por escolar Ver mensaje
    He probado a ejecutar el programa en una Ubuntu Hardy 8.04 (aunque aclaras que lo has compilado en una 9.04)
    Un saludo
    Supongo que sí, hasta que no aprenda a crear los paquetes .deb os podréis encontrar con este tipo de problemas.

    Para tener la última versión de las librerías wxWidgets, teneis que seguir este tutorial (o al menos parte de él, no hace falta que instaléis la parte de python)

    En resumen es:

    Abrir una consola y escribir:

    -----------------
    Paso 1:

    Código:
    curl http://apt.wxwidgets.org/key.asc | sudo apt-key add -
    Es importante el guión '-' final )
    Esto os evitará algunos avisos sobre seguridad al actualizar.

    -----------------
    Paso 2:

    Editar el fichero /etc/apt/sources.list y añadirle las siguientes
    líneas (esto lo tenéis que hacer en modo superusuario):

    Código:
    deb http://apt.wxwidgets.org/  DIST-wx main
    deb-src http://apt.wxwidgets.org/  DIST-wx main
    Y cambiar donde pone "DIST" con el nombre de vuestra distribución (jaunty,hardy o el que sea)

    -----------------
    Paso 3:

    Escribir en la consola estas dos ordenes (pulsar intro tras cada una)
    Código:
     sudo apt-get update 
     sudo apt-get upgrade

    -----------------
    Paso 4:

    Escribir en la consola :

    Código:
    apt-get install libwxgtk2.8-0 libwxbase2.8-0 wx2.8-i18n wx-common

    -----------------

    Y ya está, os debería actualizar las wxWidgets a la última versión
    disponible para vuestra distribución, obviamente si no las
    tenéis instaladas, deberéis instalarla.

    Yo tengo instalados los paquetes (debéis instalarlos si no los tenéis instalados):

    libwxbase2.8-0
    libwxgtk2.8-0
    wx2.8-i18n
    wx-common (en su versión 2.8.10.1-1)

    y algunas cosas más, pero son para desarrollar.
    He tenido que mantener algún fichero de wxWidget de la versión
    anterior, la 2.6 para que no me elimine otros programas (por el tema de
    las dependencias) como el visor de ayuda xchm

    Espero que os ayude....

    Nota: Si a pesar de ello, no os instala las librerías necesarias, entonces es imperativo actualizar a la versión 9.04 de Ubuntu (jaunty) la cual os recomiendo, es mucho más rápida que la anterior.


    _______________________________________________
    _______________________________________________
    Cita Iniciado por escolar Ver mensaje
    He probado a ejecutar el programa en una Ubuntu Hardy 8.04 (aunque aclaras que lo has compilado en una 9.04) y me da error porque no encuentra la librería libwx_gtk2u_richtext-2.8.so.0 (y otras cuantas de libwx). Lo curioso es que sí que tengo instalada esa librería y las otras que da como no encontradas.

    Supongo que será por la diferencia de versiones de Ubuntu

    Un saludo
    Escolar, confirmo que la librería que te falta está dentro del paquete:
    libwxgtk2.8-0

    Así que con el tutorial que te he mandado debería instalarlo.
    Si no es así, te queda actualizar a Ubuntu 9.04.

    Un saludo.
    Última edición por docepollos; 07/09/2009 a las 20:48 Razón: Fusión automática de mensajes para prevenir autosubir post

  9. #9
    Ingreso
    07 Mar, 06
    Ubicación
    Madrid (a ratos Alicante)
    Mensajes
    9,465
    Post Thanks / Like
    Cita Iniciado por dgncadiz Ver mensaje
    ¿Y por qué no lo pones de pago? Yo encantado de la vida (salvo si lo pones a 2000 euros, claro).
    Demasiados quebraderos de cabeza me da ya siendo de no pago jajaja como para venderlo a exigentes usuarios. Al final lo liberaremos don't worry. Mi idea es hacer comercial el que tenga salida RAW, aunque a este paso lo va a hacer cualquiera antes que nosotros.

    docepollos: se me están quitando las ganas de instalarme Linux madre mía si hay que ser administrador jefe de sistemas para correr algo ahí.

    Salu2
    "En ocasiones veo halos."

    http://www.guillermoluijk.com para suscribirte haz clic aquí
    Último contenido: EL MITO DEL TRÍPODE QUE ASESINÓ A UN ESTABILIZADOR

  10. #10
    Ingreso
    04 Sep, 06
    Ubicación
    Irún
    Mensajes
    298
    Post Thanks / Like
    He tenido el mismo problema que escolar, el mismo error. He instalado las librerías que recomiendas y ya está funcionando. Y en hardy.
    Esto es la gloria!!

  11. #11
    Ingreso
    11 Jan, 04
    Ubicación
    Albacete
    Mensajes
    1,656
    Post Thanks / Like
    Cita Iniciado por poleteiep34 Ver mensaje
    He tenido el mismo problema que escolar, el mismo error. He instalado las librerías que recomiendas y ya está funcionando. Y en hardy.
    Esto es la gloria!!
    Pues yo no he tenido suerte. Aunque he actualizado las librerías y he añadido los paquetes que me faltaban me sigue diciendo que no las encuentra.

    Lo raro es que en /usr/lib están las librerías que no encuentra

    Tendré que esperar el .deb

    Saludos, y muchas gracias
    Mi cámara: Canon EOS300D + EFS 18-55 + EF 70-200 f4 L + Tamron SP AF24-135 Macro
    Mi laboratorio: The Gimp 2.2

    Mi galería: aquí

  12. #12
    Ingreso
    28 May, 09
    Ubicación
    Sevilla
    Mensajes
    39
    Post Thanks / Like
    Cita Iniciado por Guillermo Luijk Ver mensaje
    Demasiados quebraderos de cabeza me da ya siendo de no pago jajaja como para venderlo a exigentes usuarios. Al final lo liberaremos don't worry. Mi idea es hacer comercial el que tenga salida RAW, aunque a este paso lo va a hacer cualquiera antes que nosotros.

    docepollos: se me están quitando las ganas de instalarme Linux madre mía si hay que ser administrador jefe de sistemas para correr algo ahí.

    Salu2
    Tranquilo, Guillermo que cuando salga el paquete .deb será coser y cantar, ahora mismo estoy liado con un problema no documentado de las p**as GIL, en cuanto lo solucione, me pongo con el procesado final y luego con lo del RAW.... tranqui, que antes de navidades tenemos algo....
    _______________________________________________
    _______________________________________________
    Cita Iniciado por escolar Ver mensaje
    Pues yo no he tenido suerte. Aunque he actualizado las librerías y he añadido los paquetes que me faltaban me sigue diciendo que no las encuentra.

    Lo raro es que en /usr/lib están las librerías que no encuentra

    Tendré que esperar el .deb

    Saludos, y muchas gracias
    'Amo' a vé, que a un compañero linuxero no lo dejo tirao como si ná..

    Ejecuta el programa desde la consola y pégame lo que te dice...

    A ver si damos con la tecla...
    _______________________________________________
    _______________________________________________
    Cita Iniciado por poleteiep34 Ver mensaje
    He tenido el mismo problema que escolar, el mismo error. He instalado las librerías que recomiendas y ya está funcionando. Y en hardy.
    Esto es la gloria!!
    Bieeeeeen ¡¡¡¡¡¡

    Eres el segundo usuario del mundo mundial en correr el programa.... ¡¡¡ felicidades !!!!

    ¿ Va rápido ?

    Cuenta, cuenta tus impresiones... y cualquier cosa que se te ocurra (intimidades incluidas si quieres jejeje) sobre el programa.

    Gracias por usarlo.
    Última edición por docepollos; 06/09/2009 a las 22:08 Razón: Fusión automática de mensajes para prevenir autosubir post

  13. #13
    Ingreso
    15 Feb, 08
    Ubicación
    valencia
    Mensajes
    1,527
    Post Thanks / Like
    Sin duda es una buena noticia para aquellos que usamos Linux ... Y ademas es una aplicación que andaba buscando.

    Muchas gracias por su interés y aporte.

    Un saludo
    Los fotografos somos como gradiadores ... Luchamos contra vientos o maneras solo con el fin de sobrevivir ...



  14. #14
    Ingreso
    11 Jan, 04
    Ubicación
    Albacete
    Mensajes
    1,656
    Post Thanks / Like
    'Amo' a vé, que a un compañero linuxero no lo dejo tirao como si ná..

    Ejecuta el programa desde la consola y pégame lo que te dice...

    A ver si damos con la tecla...
    _______________________________________________

    Pues linuxero desde hace tiempo... debo ser de los primeros que colgué fotos procesadas con The Gimp en Ojodigital...

    Si intento ejecutar el programa ocurre los siguiente:


    $./ZN: error while loading shared libraries: libwx_gtk2u_richtext-.8.so.0: cannot open shared object file: No such file or directory

    Si compruebo dependencias me dice que me faltan unas cuantas:

    $ ldd ZN
    linux-gate.so.1 => (0xffffe000)
    libwx_gtk2u_richtext-2.8.so.0 => not found
    libwx_gtk2u_aui-2.8.so.0 => not found
    libwx_gtk2u_xrc-2.8.so.0 => not found
    libwx_gtk2u_qa-2.8.so.0 => not found
    libwx_gtk2u_html-2.8.so.0 => not found
    libwx_gtk2u_adv-2.8.so.0 => not found
    libwx_gtk2u_core-2.8.so.0 => not found
    libwx_baseu_xml-2.8.so.0 => not found
    libwx_baseu_net-2.8.so.0 => not found
    libwx_baseu-2.8.so.0 => not found
    libstdc++.so.6 => /usr/lib32/libstdc++.so.6 (0xf7ea1000)
    libm.so.6 => /lib32/libm.so.6 (0xf7e7b000)
    libgcc_s.so.1 => /usr/lib32/libgcc_s.so.1 (0xf7e70000)
    libpthread.so.0 => /lib32/libpthread.so.0 (0xf7e58000)
    libc.so.6 => /lib32/libc.so.6 (0xf7d09000)
    libpng12.so.0 => /usr/lib32/libpng12.so.0 (0xf7ce6000)
    libtiff.so.4 => /usr/lib32/libtiff.so.4 (0xf7c93000)
    /lib/ld-linux.so.2 (0xf7fb3000)
    libz.so.1 => /usr/lib32/libz.so.1 (0xf7c7d000)
    libjpeg.so.62 => /usr/lib32/libjpeg.so.62 (0xf7c5d000)



    Pero si miro en /usr/lib:

    $ ls /usr/lib/libwx_gtk2u*

    /usr/lib/libwx_gtk2u_adv-2.6.so.0
    /usr/lib/libwx_gtk2u_adv-2.6.so.0.3.1
    /usr/lib/libwx_gtk2u_adv-2.8.so.0
    /usr/lib/libwx_gtk2u_adv-2.8.so.0.6.0
    /usr/lib/libwx_gtk2u_animate-2.6.so.0
    /usr/lib/libwx_gtk2u_animate-2.6.so.0.3.1
    /usr/lib/libwx_gtk2u_aui-2.8.so.0
    /usr/lib/libwx_gtk2u_aui-2.8.so.0.6.0
    /usr/lib/libwx_gtk2u_core-2.6.so.0
    /usr/lib/libwx_gtk2u_core-2.6.so.0.3.1
    /usr/lib/libwx_gtk2u_core-2.8.so.0
    /usr/lib/libwx_gtk2u_core-2.8.so.0.6.0
    /usr/lib/libwx_gtk2u_deprecated-2.6.so.0
    /usr/lib/libwx_gtk2u_deprecated-2.6.so.0.3.1
    /usr/lib/libwx_gtk2u_fl-2.6.so.0
    /usr/lib/libwx_gtk2u_fl-2.6.so.0.3.1
    /usr/lib/libwx_gtk2u_fl-2.8.so.0
    /usr/lib/libwx_gtk2u_fl-2.8.so.0.6.0
    /usr/lib/libwx_gtk2u_gizmos-2.6.so.0
    /usr/lib/libwx_gtk2u_gizmos-2.6.so.0.3.1
    /usr/lib/libwx_gtk2u_gizmos-2.8.so.0
    /usr/lib/libwx_gtk2u_gizmos-2.8.so.0.6.0
    /usr/lib/libwx_gtk2u_gizmos_xrc-2.6.so.0
    /usr/lib/libwx_gtk2u_gizmos_xrc-2.6.so.0.3.1
    /usr/lib/libwx_gtk2u_gizmos_xrc-2.8.so.0
    /usr/lib/libwx_gtk2u_gizmos_xrc-2.8.so.0.6.0
    /usr/lib/libwx_gtk2u_gl-2.6.so.0
    /usr/lib/libwx_gtk2u_gl-2.6.so.0.3.1
    /usr/lib/libwx_gtk2u_gl-2.8.so.0
    /usr/lib/libwx_gtk2u_gl-2.8.so.0.6.0
    /usr/lib/libwx_gtk2u_html-2.6.so.0
    /usr/lib/libwx_gtk2u_html-2.6.so.0.3.1
    /usr/lib/libwx_gtk2u_html-2.8.so.0
    /usr/lib/libwx_gtk2u_html-2.8.so.0.6.0
    /usr/lib/libwx_gtk2u_media-2.6.so.0
    /usr/lib/libwx_gtk2u_media-2.6.so.0.3.1
    /usr/lib/libwx_gtk2u_media-2.8.so.0
    /usr/lib/libwx_gtk2u_media-2.8.so.0.6.0
    /usr/lib/libwx_gtk2u_mmedia-2.6.so.0
    /usr/lib/libwx_gtk2u_mmedia-2.6.so.0.3.1
    /usr/lib/libwx_gtk2u_mmedia-2.8.so.0
    /usr/lib/libwx_gtk2u_mmedia-2.8.so.0.6.0
    /usr/lib/libwx_gtk2u_ogl-2.6.so.0
    /usr/lib/libwx_gtk2u_ogl-2.6.so.0.3.1
    /usr/lib/libwx_gtk2u_ogl-2.8.so.0
    /usr/lib/libwx_gtk2u_ogl-2.8.so.0.6.0
    /usr/lib/libwx_gtk2u_plot-2.6.so.0
    /usr/lib/libwx_gtk2u_plot-2.6.so.0.3.1
    /usr/lib/libwx_gtk2u_plot-2.8.so.0
    /usr/lib/libwx_gtk2u_plot-2.8.so.0.6.0
    /usr/lib/libwx_gtk2u_qa-2.6.so.0
    /usr/lib/libwx_gtk2u_qa-2.6.so.0.3.1
    /usr/lib/libwx_gtk2u_qa-2.8.so.0
    /usr/lib/libwx_gtk2u_qa-2.8.so.0.6.0
    /usr/lib/libwx_gtk2u_richtext-2.8.so.0
    /usr/lib/libwx_gtk2u_richtext-2.8.so.0.6.0
    /usr/lib/libwx_gtk2u_stc-2.6.so.0
    /usr/lib/libwx_gtk2u_stc-2.6.so.0.3.1
    /usr/lib/libwx_gtk2u_stc-2.8.so.0
    /usr/lib/libwx_gtk2u_stc-2.8.so.0.6.0
    /usr/lib/libwx_gtk2u_svg-2.6.so.0
    /usr/lib/libwx_gtk2u_svg-2.6.so.0.3.1
    /usr/lib/libwx_gtk2u_svg-2.8.so.0
    /usr/lib/libwx_gtk2u_svg-2.8.so.0.6.0
    /usr/lib/libwx_gtk2u_xrc-2.6.so.0
    /usr/lib/libwx_gtk2u_xrc-2.6.so.0.3.1
    /usr/lib/libwx_gtk2u_xrc-2.8.so.0
    /usr/lib/libwx_gtk2u_xrc-2.8.so.0.6.0

    $ ls /usr/lib/libwx_baseu*

    /usr/lib/libwx_baseu-2.6.so.0 /usr/lib/libwx_baseu_net-2.8.so.0
    /usr/lib/libwx_baseu-2.6.so.0.3.1 /usr/lib/libwx_baseu_net-.8.so.0.6.0
    /usr/lib/libwx_baseu-2.8.so.0 /usr/lib/libwx_baseu_xml-2.6.so.0
    /usr/lib/libwx_baseu-2.8.so.0.6.0 /usr/lib/libwx_baseu_xml-.6.so.0.3.1
    /usr/lib/libwx_baseu_net-2.6.so.0 /usr/lib/libwx_baseu_xml-2.8.so.0
    /usr/lib/libwx_baseu_net-2.6.so.0.3.1 /usr/liblibwx_baseu_xml-.8.so.0.6.0


    y las librerías las actualicé como indicaste, así que no se donde está la tecla, como dices.

    En todo caso muchas gracias
    Mi cámara: Canon EOS300D + EFS 18-55 + EF 70-200 f4 L + Tamron SP AF24-135 Macro
    Mi laboratorio: The Gimp 2.2

    Mi galería: aquí

  15. #15
    Ingreso
    09 Nov, 08
    Ubicación
    Valencia
    Mensajes
    846
    Post Thanks / Like
    ¡¡¡Bieeeennn!!!
    Ahora que se me ha roto el ordenador donde tenía mi openSuse, sacas el ZeroNoise para Linux. En cuanto pueda me instalo Ubuntu 9.04 para ver eso.
    ¡Gracias!
    www.rafaeldeluis.es
    Nikon D800 / Nikon D3200 / Fuji S3 Pro
    Nikkor FX: 50mm f:1.8D / 60mm f:2.8D Micro / 85mm f:1.8D / 105mm f:2.8D Micro/ 18-35 f:3.5-4.5D / 24-85 f:3.5-4.5G / 28-105 f:3.5-4.5D / 70-300VR f:4.5-5.6G / Tamron 70-200 f:2.8 / WalimexPro 500mm f:6.3 /
    Nikkor DX: 35mm f:1.8G / 18-55VR f:3.5-5.6G / Nikkor 55-300VR f:4.5-5.6G / Hasselblad 500 C/M con sus Zeiss y accesorios

  16. #16
    Ingreso
    09 Feb, 07
    Ubicación
    Vitoria -Gasteiz
    Mensajes
    72
    Post Thanks / Like
    Bueno por comentar.

    Si hay alguien más en mi caso que sepáis que es para arquitectura i386. Suponía que iba a ser así pero no he podido reprimirme y lo he probado. Pero pongo que lo incluyas en el anuncio docepollos. OK??

    Un saludo y enhorabuena por el trabajo. Esperaré la versión para Mac (Binario universal???)


    MK.

    Por cierto el comando para hacer el programa ejecutable es chmod (errata chmo). Por si alguien no conoce muy bien linux y ve que no funciona.

  17. #17
    Ingreso
    07 Mar, 06
    Ubicación
    Madrid (a ratos Alicante)
    Mensajes
    9,465
    Post Thanks / Like
    Solo 38 descargas van?!?! pero a estos linuxeros qué les pasa, tienen la sangre de horchata o qué??? venga a probarlo leñe.

    Y al que le funcione que ponga algún resultado please, que docepollos se ha pegado una buena currada traduciendo a C++ y optimizando el código.

    Salu2
    "En ocasiones veo halos."

    http://www.guillermoluijk.com para suscribirte haz clic aquí
    Último contenido: EL MITO DEL TRÍPODE QUE ASESINÓ A UN ESTABILIZADOR

  18. #18
    Ingreso
    13 Dec, 04
    Ubicación
    Sevilla
    Mensajes
    2,355
    Post Thanks / Like
    Cita Iniciado por Guillermo Luijk Ver mensaje
    Solo 38 descargas van?!?! pero a estos linuxeros qué les pasa, tienen la sangre de horchata o qué??? venga a probarlo leñe.

    Y al que le funcione que ponga algún resultado please, que docepollos se ha pegado una buena currada traduciendo a C++ y optimizando el código.

    Salu2
    Espera que volvamos de vacaciones, leñe, que también tenemos derecho!!

    A ver, a mi me dice lo mismo que a Escobar, lo he probado en 9.04 de 32 y 64 bits -sin mucha esperanza en este-


    :~/programas/ZeroNoise$ ll
    total 716
    -rw-r--r-- 1 ccc ccc 209003 2009-09-04 14:43 default.png
    -rwxr-xr-x 1 ccc ccc 511992 2009-09-04 22:29 ZN

    (son los permisos con los que ha desempaquetado)

    :~/programas/ZeroNoise$ file ZN
    ZN: ELF 32-bit LSB executable, Intel 80386, version 1 (SYSV), dynamically linked (uses shared libs), for GNU/Linux 2.6.15, stripped

    (mal vamos, esta máquina es de 64 bits...)

    :~/programas/ZeroNoise$ ./ZN
    ./ZN: error while loading shared libraries: libwx_gtk2u_richtext-2.8.so.0: cannot open shared object file: No such file or directory

    :~/programas/ZeroNoise$ ldd ZN
    linux-gate.so.1 => (0xf7fd4000)
    libwx_gtk2u_richtext-2.8.so.0 => not found
    libwx_gtk2u_aui-2.8.so.0 => not found
    libwx_gtk2u_xrc-2.8.so.0 => not found
    libwx_gtk2u_qa-2.8.so.0 => not found
    libwx_gtk2u_html-2.8.so.0 => not found
    libwx_gtk2u_adv-2.8.so.0 => not found
    libwx_gtk2u_core-2.8.so.0 => not found
    libwx_baseu_xml-2.8.so.0 => not found
    libwx_baseu_net-2.8.so.0 => not found
    libwx_baseu-2.8.so.0 => not found
    libstdc++.so.6 => /usr/lib32/libstdc++.so.6 (0xf7eca000)
    libm.so.6 => /lib32/libm.so.6 (0xf7ea3000)
    libgcc_s.so.1 => /usr/lib32/libgcc_s.so.1 (0xf7e94000)
    libpthread.so.0 => /lib32/libpthread.so.0 (0xf7e7b000)
    libc.so.6 => /lib32/libc.so.6 (0xf7d18000)
    libpng12.so.0 => /usr/lib32/libpng12.so.0 (0xf7cf2000)
    libtiff.so.4 => /usr/lib32/libtiff.so.4 (0xf7c9c000)
    /lib/ld-linux.so.2 (0xf7fd5000)
    libz.so.1 => /usr/lib32/libz.so.1 (0xf7c85000)
    libjpeg.so.62 => /usr/lib32/libjpeg.so.62 (0xf7c65000)


    a ver si por las bravas...

    :~/programas/ZeroNoise$ sudo ./ZN
    ./ZN: error while loading shared libraries: libwx_gtk2u_richtext-2.8.so.0: cannot open shared object file: No such file or directory


    Bueno, voy a hacerlo al netbook (32 bits), cargando "a mano" las librerías, y edito el post desde allí...
    _______________________________________________
    _______________________________________________
    Empezamos bien...

    @MSi:~/ZeroNoise$ ./ZN
    ./ZN: error while loading shared libraries: libwx_gtk2u_richtext-2.8.so.0: cannot open shared object file: No such file or directory
    :~/ZeroNoise$

    :~$ curl
    El programa «curl» no está instalado actualmente.


    Volvemos dentro de unos segundos....
    _______________________________________________
    _______________________________________________
    Bueno, pues ya funciona...

    Después de instalar curl y seguir el guiaburros, he tenido que instalar a mano los paquetes que indica docepollos...

    libwxbase2.8-0
    libwxgtk2.8-0
    wx2.8-i18n
    wx-common

    con sudo apt-get install ... el update y upgrade no lo han hecho automagicamente

    El problema es que este equipo es un netbook y en 1024*600 no cabe toda la pantalla y sale como "amontonao", pero al menos arranca.

    Me temo que en el otro hasta que no esté compilado para 64 bits...
    Última edición por CarlosM; 07/09/2009 a las 20:23 Razón: Fusión automática de mensajes para prevenir autosubir post
    ____________________________________________

  19. #19
    Ingreso
    28 May, 09
    Ubicación
    Sevilla
    Mensajes
    39
    Post Thanks / Like
    Cita Iniciado por escolar Ver mensaje
    _______________________________________________

    Pues linuxero desde hace tiempo... debo ser de los primeros que colgué fotos procesadas con The Gimp en Ojodigital...

    Si intento ejecutar el programa ocurre los siguiente:


    $./ZN: error while loading shared libraries: libwx_gtk2u_richtext-.8.so.0: cannot open shared object file: No such file or directory

    En todo caso muchas gracias
    Prueba desde la consola el comando:

    Código:
    ldconfig -v  | grep libwx_gtk2u_richtext*
    te debe decir algo del estilo:

    Código:
    /sbin/ldconfig.real: No se puede verificar /lib64: No existe el fichero ó directorio
        libwx_gtk2u_richtext-2.8.so.0 -> libwx_gtk2u_richtext-2.8.so.0.6.0
    /sbin/ldconfig.real: No se puede crear archivo de cache temporal /etc/ld.so.cache~: Permiso denegado
    Los errores son porque no tengo librerías de 64bits y porque estoy en modo usuario (no superusuario), pero lo importante es si dice algo parecido a la línea en rojo.

    Seguimos investigando pues....

  20. #20
    Ingreso
    13 Dec, 04
    Ubicación
    Sevilla
    Mensajes
    2,355
    Post Thanks / Like
    por cierto, guillermo, me he suscrito a tu RSS, que ma ha dicho el reader que como es que no estaba apuntado todavía...
    ____________________________________________

  21. #21
    Ingreso
    28 May, 09
    Ubicación
    Sevilla
    Mensajes
    39
    Post Thanks / Like
    Cita Iniciado por Mikel-in Ver mensaje
    Bueno por comentar.

    Si hay alguien más en mi caso que sepáis que es para arquitectura i386. Suponía que iba a ser así pero no he podido reprimirme y lo he probado. Pero pongo que lo incluyas en el anuncio docepollos. OK??

    Un saludo y enhorabuena por el trabajo. Esperaré la versión para Mac (Binario universal???)


    MK.

    Por cierto el comando para hacer el programa ejecutable es chmod (errata chmo). Por si alguien no conoce muy bien linux y ve que no funciona.
    Gracias, MK, he corregido lo del chmod (os debo una cajita de 'd's jejeje)

    Le diré a Guillermo, si no ha leído esto ya que indique que es para arquitectura i386, si hacéis una colecta y me mandáis una placa, micro y memoría para 64 bits os hago al compilación..... jejeje ¿ cuela?

    Primero voy a tratar de finaliza el programa, luego empezaré con las distintas versiones de sistemas operativos, ( a ver si algún amigo con Mac me deja ponerle las zarpas encima a su máquina) y las distintas arquitecturas... jejeje

    ¿ Alguien que sepa hacer paquetes .deb que me guíe ? He visto mil tutoriales en la 'intersné', pero tengo muchas tareas pendientes...

    En breve saco la versión con la salida BN (esta si que corre, jejeje, ni yo me lo creía) y alguna pijada más (las opciones agrupadas en pestañas, para que haya más espacio de trabajo)

    Nos vemos, muchos muacs....
    _______________________________________________
    _______________________________________________
    Cita Iniciado por CarlosM Ver mensaje


    Bueno, pues ya funciona...

    Después de instalar curl y seguir el guiaburros, he tenido que instalar a mano los paquetes que indica docepollos...

    libwxbase2.8-0
    libwxgtk2.8-0
    wx2.8-i18n
    wx-common

    con sudo apt-get install ... el update y upgrade no lo han hecho automagicamente
    Hola, Carlos ¡¡¡
    Me alegra mucho que te funcione ¡¡ y en un netbook!! Una de las cosas que tengo pendientes es evitar que las cosas se 'reapretujen' cuando la ventana se hace demasiado chiquita para contener todo (está en la lista de los TO-DO), pero es larga.

    La orden update y upgrade era si tenías esos paquetes antiguos, lo olvidé decir, sino, claro, tienes que solicitar su instalación. Pero muchas gracias de todas formas por aclararlo, seguro que ayuda a otros... SON MIL DETALLES que van quedando atrás (benditas listas TO-DO)

    Muchos muacs.....
    Última edición por docepollos; 07/09/2009 a las 20:40 Razón: Fusión automática de mensajes para prevenir autosubir post

  22. #22
    Ingreso
    11 Jan, 04
    Ubicación
    Albacete
    Mensajes
    1,656
    Post Thanks / Like
    Bueno por comentar.

    Si hay alguien más en mi caso que sepáis que es para arquitectura i386. Suponía que iba a ser así pero no he podido reprimirme y lo he probado. Pero pongo que lo incluyas en el anuncio docepollos. OK??
    Pues va a ser eso... La arquitectura de mi ordenador es de 64 bits, y da el error que muestra docepollos:

    Código:
    $ ldconfig -v  | grep libwx_gtk2u_richtext*
    	libwx_gtk2u_richtext-2.8.so.0 -> libwx_gtk2u_richtext-2.8.so.0.6.0
    /sbin/ldconfig.real: No se puede verificar /usr/lib32/libffi.so: No existe el fichero ó directorio
    /sbin/ldconfig.real: No se puede crear archivo de cache temporal /etc/ld.so.cache~: Permiso denegado
    Saludos
    Mi cámara: Canon EOS300D + EFS 18-55 + EF 70-200 f4 L + Tamron SP AF24-135 Macro
    Mi laboratorio: The Gimp 2.2

    Mi galería: aquí

  23. #23
    Ingreso
    04 Sep, 06
    Ubicación
    Irún
    Mensajes
    298
    Post Thanks / Like
    La mia es i386. Se me olvidó comentar que también instalé los dev de las librerías que recomienda docepollos.
    En cuanto tenga un tiempillo lo pruebo y saco resultados y tiempos!!

  24. #24
    Ingreso
    28 May, 09
    Ubicación
    Sevilla
    Mensajes
    39
    Post Thanks / Like
    Cita Iniciado por escolar Ver mensaje
    Pues va a ser eso... La arquitectura de mi ordenador es de 64 bits, y da el error que muestra docepollos:

    Código:
    $ ldconfig -v  | grep libwx_gtk2u_richtext*
        libwx_gtk2u_richtext-2.8.so.0 -> libwx_gtk2u_richtext-2.8.so.0.6.0
    /sbin/ldconfig.real: No se puede verificar /usr/lib32/libffi.so: No existe el fichero ó directorio
    /sbin/ldconfig.real: No se puede crear archivo de cache temporal /etc/ld.so.cache~: Permiso denegado
    Saludos
    Pues si es sólo ,eso, esta tarde me pongo a tratar de compilar una versión para 64bits... Según he leído (Aquí) Se puede.

    Espero en breve poder ofreceros una versión para aquellos que tenéis maquinas con esa arquitectura..

    Por cierto, estoy terminando de probar una versión donde ya funciona la salida en BN, además, como he comentado anteriormente, incluye alguna pijadilla de la interfaz, y se me ha ocurrido añadirle algo que estoy usando en la actualidad en la fase de debug (pruebas). Una especie de sistema de caché de los tiff gordos que genera el dcraw. La generación de los tiff iniciales es sin duda, el proceso más lento de ZeroNoise, la idea es que si el sistema detecta unos ficheros tiff ya existentes, cuando se selecciona los raw, ofrezca cargar estos en lugar de llamar a dcraw para generarlos de nuevo.... esto haría que ZeroNoise, es estos casos, sea aún más eficiente y rápido en conseguir imágenes finales.

    Ta pronto.

  25. #25
    Ingreso
    13 Dec, 04
    Ubicación
    Sevilla
    Mensajes
    2,355
    Post Thanks / Like
    No, si ya decía yo...

    Cita Iniciado por CarlosM Ver mensaje


    :~/programas/ZeroNoise$ file ZN
    ZN: ELF 32-bit LSB executable, Intel 80386, version 1 (SYSV), dynamically linked (uses shared libs), for GNU/Linux 2.6.15, stripped

    (mal vamos, esta máquina es de 64 bits...)

    Cita Iniciado por docepollos Ver mensaje
    Pues si es sólo ,eso, esta tarde me pongo a tratar de compilar una versión para 64bits...

    Espero en breve poder ofreceros una versión para aquellos que tenéis maquinas con esa arquitectura..

    .../...

    Ta pronto.
    Esperamos ansiosamente
    Última edición por CarlosM; 08/09/2009 a las 16:43
    ____________________________________________

  26. #26
    Ingreso
    07 Mar, 06
    Ubicación
    Madrid (a ratos Alicante)
    Mensajes
    9,465
    Post Thanks / Like
    Un comentario sobre las imágenes generadas por ZN: al ser de alto rango dinámico y no llevar procesado, están tremendamente subexpuestas con lo que hay que levantar las sombras en procesado.

    Esto en 16 bits no es problema, de hecho por la forma en que ZN aplica la corrección de exposición y la compensación gamma en un único cálculo de alta precisión, se generan las imágenes más potentes en cuanto a riqueza tonal que puedan imaginarse (esto no es ningún farol), con lo que resistirán cualquier procesado. En este hilo puede verse como corregí la exposición de una imagen de ZN por +12EV (sí, 12 pasos) en Photoshop, sin rastro de posterización ni ruido.

    Según tengo entendido el Gimp funciona a 8 bits, así que es muy posible que al levantar las sombras a lo bestia con él aparezcan bandas. Estarían propiciadas por el bajo ruido de la imagen generada por ZN y el procesado a 8 bits. Si fuera así, hasta que Gimp soporte 16 bits no quedaría otra que usar Photoshop para procesar la imagen.


    Salu2
    "En ocasiones veo halos."

    http://www.guillermoluijk.com para suscribirte haz clic aquí
    Último contenido: EL MITO DEL TRÍPODE QUE ASESINÓ A UN ESTABILIZADOR

  27. #27
    Ingreso
    28 May, 09
    Ubicación
    Sevilla
    Mensajes
    39
    Post Thanks / Like
    Cita Iniciado por Guillermo Luijk Ver mensaje
    Un comentario sobre las imágenes generadas por ZN: al ser de alto rango dinámico y no llevar procesado, están tremendamente subexpuestas con lo que hay que levantar las sombras en procesado.
    Ese es uno de los motivos, entre otros, por lo que pretendo añadir la posibilidad de que ZN (para cualquier SO) disponga de la opción para generar imágenes finales... jejeje

    Por ahora, los usuarios de linux tenemos las siguientes opciones:

    Cinepaint.
    ¿ Krita ?, ¿ Alguien lo ha usado ?
    Photoshop emulado con wine.

    Ta pronto....

  28. #28
    Ingreso
    13 Dec, 04
    Ubicación
    Sevilla
    Mensajes
    2,355
    Post Thanks / Like
    Está Pixel Image Editor pero parece estar abandonado... y mira que tiene buena pinta!!
    ____________________________________________

  29. #29
    Ingreso
    28 May, 09
    Ubicación
    Sevilla
    Mensajes
    39
    Post Thanks / Like
    Cita Iniciado por CarlosM Ver mensaje
    Está Pixel Image Editor pero parece estar abandonado... y mira que tiene buena pinta!!
    Sí, lo llegué a probar, pero tenía muchos bugs...., la verdad es que era muy potente y rápido.

    Fue un trabajo brutal por parte de su único autor, una pena...... como bien dices....

  30. #30
    Ingreso
    09 Feb, 07
    Ubicación
    Madrid, El Saler, Peralejos de las Truchas
    Mensajes
    4,840
    Post Thanks / Like
    Instalado y funciona! otra cosa es que tengo que aprender a usarlo Uso kubuntu, no se por qué versión va porque se actualiza automáticamente (una maravilla), creo que es la 8

    A veces dejo fotos y comentarios en mi diario. Incluso a veces funciona.

    AHORA FUNCIONA!!!.

  31. #31
    Ingreso
    04 Sep, 06
    Ubicación
    Irún
    Mensajes
    298
    Post Thanks / Like
    esto parece que empieza!
    y podríamos a empezar a nombrar nuestras herramientas foteras en linux, no?
    yo por ejemplo usaría gimp si trabajara a 16 bits, sobre todo para imagenes en b&n, en cuanto les haces un poco de curvas se van al traste. de momento sigo emulando ps mediante wine.

  32. #32
    Ingreso
    28 May, 09
    Ubicación
    Sevilla
    Mensajes
    39
    Post Thanks / Like

    Nueva subversión de ZN for linux. la v1.04.1

    Acabo de enviarle a Guillermo la nueva subversión del programa, la v1.04.1

    Esta subversión ya tiene capacidad de creación de imágenes en Blanco y Negro, que era lo único que le faltaba para que fuera igual a la versión para windows, además, se ha reorganizado la interfaz en forma de pestañas, agrupadas para mayor claridad de los pasos que hay que ir dando y dejar espacio para las futuras 'features' que tengo pensadas...

    Mañana, bueno....., dentro de un ratito, empezaré con los primeros pinitos para tratar de compilar una versión de 64bits en mi humilde máquina de 32bits (que poder, se puede...jejeje), aunque aceptaría gustoso donaciones para comprarme una máquina de 64bits...

    Garmayen, muchas gracias por tu comentario, aunque sólo sea decir eso, que a algunos le parece poco, a mí me entra mucha alegría y ganas de seguir para adelante cuando sé que otros fotógrafos comienzan a usar el programa.

    Respecto a lo de la edición en 16bits bajo linux... todo se andará, dadme tiempo, y ya veremos en que se convierte ZN for linux. Las herramientas y ganas las tengo, y con la inestimable ayuda y BESTIALES conocimientos de Guillermo Luijk, conocimientos que amablemente ha compartido conmigo, y sin los cuales, ZN for linux no existiría... podemos llegar donde nos 'haiga' falta....bueno, me voy a la camita, que estoy desvariando, para variar... jejeje

    Nos vemos, muchos muacs.....

    y que la disfrutéis....

  33. #33
    Ingreso
    09 Sep, 09
    Ubicación
    Madrid
    Mensajes
    3
    Post Thanks / Like

    Gracias

    Gracias por esta aplicación, tanto a Gillermo por hacerlo, como a docepollos por el porting a Linux.

    Es verdad que los usuarios de Linux estamos bastante abandonados, creo que a causa de una maldita conspiración de M$

    Para escolar...

    Tengo la misma versión de Ubuntu que tú, una 8.04 de 64-bits (creo que ya hay más gente con GNU/Linux de 64-bits).

    El programa no encuentra las librerías porque las que tienes son de 64-bits, pero es fácil arreglarlo sin necesidad de una versión de 64-bits, aunque desde luego se habría solucionado si el programa llevara el código fuente.

    No critico el esfuerzo de hacer y portar el programa, pero desde luego que progresaría mucho más con una licencia GPL y puesto el Sourceforge. Si no lo hacéis vosotros, casi seguro que alguien usará las ideas y lo hará antes o después.


    #######################
    Como hacer que funcione el programa
    en Ubuntu GNU/Linux de 64-bits
    #######################

    Descarga getlibs-all.deb de aquí:
    Index of /cappy

    Instalalo con:

    Código:
    dpkg -i getlibs-all.deb
    Ejecuta estos dos comandos y dile que "yes".

    Código:
    getlibs -l libwx_gtk2u_richtext-2.8.so.0
    getlibs -l libwx_baseu_xml-2.8.so.0
    Ya tienes las librerías de 32 bits instaladas y enlazadas.

    Ya puedes arrancar con:
    Código:
    ./ZN

    Nota: Estas son instrucciones para principiantes, puedes ignorarlo si sabes añadir un lanzador al menú de Gnome.

    ##############################
    Crear un lanzador y añadirlo al menú de Gnome
    ##############################

    Crea un archivo zeronoise.sh (o l nombre que sea), con tu editor favorito:

    Por ejemplo:
    Código:
    vi /home/ruta-a-zeronoise/zeronoise.sh
    Añade dentro esto:

    Código:
    #!/bin/sh
    
    cd /home/ruta-a-zeronoise/zeronoisev1.04_linux/
    ./ZN
    Edita el menú de gnome (boton derecho "editar los menús"), selecciona "Gráficos", pulsa en "Elemento nuevo" y en comando pon:

    Código:
    /home/ruta-a-zeronoise/zeronoise.sh
    Elije un icono (si quieres), y listo!

  34. #34
    Ingreso
    28 May, 09
    Ubicación
    Sevilla
    Mensajes
    39
    Post Thanks / Like
    Gracias, Sleptic, por tu estupenda aportación.

    Desconocía la existencia de getlibs, y he mirado un poco por ahí para ver de qué iba, he leído esto, por lo que pregunto:

    ¿ situándonos en el directorio donde está ZN, funcionaría esto ?

    sudo getlibs ZN

    Los que tenéis máquinas de 64bits, probádlo y lo contáis aquí, ¿vale?

    Respecto a lo de los fuentes, sólo deciros que los algoritmos usados por ZN, han sido diseñados con mucho esfuerzo y no se encuentran ni en programas comerciales, y sin embargo, a la persona que los desarrolló, no le ha importado compartir su uso (que no el algoritmo ) con nosotros, los fotógrafos, para que podamos tener mejores fotos.

    ZN para linux, al menos mientras yo siga desarrollándolo, no tendrá limitación alguna para conseguir imágenes finales (que es lo que a un fotógrafo le interesa )

    A mi, como usuario de linux desde los tiempos en que no había ni distribuciones (linux from scratch), me parecería bien tu idea y la apoyo, pero respeto, me parece FABULOSO, y estoy muy agradecido, por la generosidad del autor de los algoritmos, y porque nos da la oportunidad a los fotógrafos, de tener unos resultados mejores, y también hay que decirlo, a coste 0.


    Y ahora, como veo que el tema de los 64bits está de momento 'parcheado', jejeje (prometo ponerme cuando tenga tiempo), voy a por el siguiente paso de ZN for linux.... conseguir imágenes finales.....

    Muchos muacs....

  35. #35
    Ingreso
    13 Dec, 04
    Ubicación
    Sevilla
    Mensajes
    2,355
    Post Thanks / Like
    Cita Iniciado por docepollos Ver mensaje
    Mañana, bueno....., dentro de un ratito, empezaré con los primeros pinitos para tratar de compilar una versión de 64bits en mi humilde máquina de 32bits (que poder, se puede...jejeje), aunque aceptaría gustoso donaciones para comprarme una máquina de 64bits...
    Pero si las máquinas están a euro la docena!!! Como veo que eres de Sevilla, si quieres te vienes y lo compilas en casa ... o te abro el SSH y lo compilas desde la tuya mismo Anda, que hagan eso los de windows

    Cita Iniciado por sleptic Ver mensaje
    .../...
    Tengo la misma versión de Ubuntu que tú, una 8.04 de 64-bits (creo que ya hay más gente con GNU/Linux de 64-bits).
    8.04 o 9.04???

    ya vamos camino de la 9.11

    Cita Iniciado por docepollos Ver mensaje

    Los que tenéis máquinas de 64bits, probádlo y lo contáis aquí, ¿vale?

    A mi, como usuario de linux desde los tiempos en que no había ni distribuciones (linux from scratch), me parecería bien tu idea y la apoyo, pero respeto, me parece FABULOSO, y estoy muy agradecido, por la generosidad del autor de los algoritmos, y porque nos da la oportunidad a los fotógrafos, de tener unos resultados mejores, y también hay que decirlo, a coste 0.
    Yo tengo por aquí todavía los CDs de Slackware de Walnut Creek de agosto del 94... todavía "ni se habia inventado" internet



    En otro orden de cosas, hay buenas noticias... con getlib Funciona en 9.04. Con algunos warnings, pero sale la pantalla, aún no lo he toqueteado a ver si hace algo...


    :~/programas/ZeroNoise$ cp ~/descargas/getlibs-all.deb .
    :~/programas/ZeroNoise$ sudo dpkg -i getlibs-all.deb
    Seleccionando el paquete getlibs previamente no seleccionado.
    (Leyendo la base de datos ...
    150969 ficheros y directorios instalados actualmente.)
    Desempaquetando getlibs (de getlibs-all.deb) ...
    Configurando getlibs (2.06) ...
    :~/programas/ZeroNoise$ getlibs -l libwx_gtk2u_richtext-2.8.so.0
    libwx_gtk2u_richtext-2.8.so.0: libwxgtk2.8-0
    The following i386 packages will be installed:
    libwxgtk2.8-0
    Continue [Y/n]?
    Downloading ...
    Installing libraries ...
    :~/programas/ZeroNoise$ getlibs -l libwx_baseu_xml-2.8.so.0
    libwx_baseu_xml-2.8.so.0: libwxbase2.8-0
    The following i386 packages will be installed:
    libwxbase2.8-0
    Continue [Y/n]?
    Downloading ...
    Installing libraries ...
    :~/programas/ZeroNoise$ ./ZN
    Gtk-Message: Failed to load module "canberra-gtk-module": /usr/lib/gtk-2.0/modules/libcanberra-gtk-module.so: clase ELF errónea: ELFCLASS64
    /usr/lib/gio/modules/libgiogconf.so: clase ELF errónea: ELFCLASS64
    Failed to load module: /usr/lib/gio/modules/libgiogconf.so
    /usr/lib/gio/modules/libgioremote-volume-monitor.so: clase ELF errónea: ELFCLASS64
    Failed to load module: /usr/lib/gio/modules/libgioremote-volume-monitor.so
    /usr/lib/gio/modules/libgvfsdbus.so: clase ELF errónea: ELFCLASS64
    Failed to load module: /usr/lib/gio/modules/libgvfsdbus.so

    ** (ZN:6269): WARNING **: Invalid borders specified for theme pixmap:
    /home/ccc/.themes/OSX-theme/gtk-2.0/Frame-Gap/frame1.png,
    borders don't fit within the image

    ** (ZN:6269): WARNING **: Invalid borders specified for theme pixmap:
    /home/ccc/.themes/OSX-theme/gtk-2.0/Range/null.png,
    borders don't fit within the image
    ____________________________________________

  36. #36
    Ingreso
    11 Jan, 04
    Ubicación
    Albacete
    Mensajes
    1,656
    Post Thanks / Like
    He instalado getlibs-all, pero al ejecutarlo tanto así
    Código:
    getlibs -l libwx_gtk2u_richtext-2.8.so.0
    getlibs -l libwx_baseu_xml-2.8.so.0
    como así
    Código:
    sudo getlibs ZN
    me dice que no puede bajarse la librería del repositorio:
    Código:
    Failed to download file http://apt.wxwidgets.org/dists/hardy-wx/main/binary-amd64/libwxgtk2.8-0_2.8.10.1-0_i386.deb
    The mirrors do not have the requested file or there is no internet connection
    No packages to install
    Tendré que seguir intentándolo

    Muchas gracias
    Mi cámara: Canon EOS300D + EFS 18-55 + EF 70-200 f4 L + Tamron SP AF24-135 Macro
    Mi laboratorio: The Gimp 2.2

    Mi galería: aquí

  37. #37
    Ingreso
    13 Dec, 04
    Ubicación
    Sevilla
    Mensajes
    2,355
    Post Thanks / Like
    Bueno, pues funciona... con reservas!!! los Raw de la 50D no le gustan... salen unas rayitas de colores y se acabó. En la ventana de arriba me dice...

    We are ready¡¡¡
    Let's go¡¡¡
    /usr/bin/dcraw -v -4 -T -q 3 -o 1 -r 2.13248 1 1.48086 1 -t 0 -h IMG_0343.CR2
    Loading Canon EOS 50D image from IMG_0343.CR2 ...
    IMG_0343.CR2: Corrupt data near 0x229d9e
    Scaling with darkness 0, saturation 16383, and
    multipliers 2.132480 1.000000 1.480860 1.000000
    Converting to sRGB colorspace...
    Writing data to IMG_0343.tiff ...
    Done.


    Me da a mi que eso de corrupt data... no es bueno Por supuesto, el fichero está bien, UFraw lo abre sin problemas. El offset varia según los ficheros, pero el efecto es el mismo. Crea el .tiff, pero es la misma imagen de las rayitas, por si alguien quiere verlo -¿será un revelador abstractoooo...? -

    Sin embargo, si que abre los raw de la G7 y los de la 400D...
    Última edición por CarlosM; 09/09/2009 a las 18:14
    ____________________________________________

  38. #38
    Ingreso
    07 Mar, 06
    Ubicación
    Madrid (a ratos Alicante)
    Mensajes
    9,465
    Post Thanks / Like
    docechickens, qué versión de DCRAW estás usando? es habitual que si no usas la última no se decodifiquen bien las cámaras más recientes. CarlosM puedes probar a revelar un RAW con el último DCRAW a pelo.

    Salu2
    Última edición por Guillermo Luijk; 09/09/2009 a las 18:42
    "En ocasiones veo halos."

    http://www.guillermoluijk.com para suscribirte haz clic aquí
    Último contenido: EL MITO DEL TRÍPODE QUE ASESINÓ A UN ESTABILIZADOR

  39. #39
    Ingreso
    13 Dec, 04
    Ubicación
    Sevilla
    Mensajes
    2,355
    Post Thanks / Like
    Cita Iniciado por Guillermo Luijk Ver mensaje
    docechickens, qué versión de DCRAW estás usando? es habitual que si no usas la última no se decodifiquen bien las cámaras más recientes. CarlosM puedes probar a revelar un RAW con el último DCRAW a pelo.

    Salu2
    Pues es cierto, con dcraw a pelo tampoco va...

    :~/programas/ZeroNoise$ dcraw

    Raw photo decoder "dcraw" v8.86
    by Dave Coffin, dcoffin a cybercom o net

    .../...

    :~/programas/ZeroNoise$ dcraw IMG_0335.CR2
    IMG_0335.CR2: Corrupt data near 0x259bbe


    Sin embargo UFraw 0.15 si que puede con ella Voy a revisar las versiones, acabo de ver que UFraw 0.15 está basado en dcraw 8.89...
    _______________________________________________
    _______________________________________________
    OK, actualizado a la última versión de dcraw (8.97) y funciona. Gracias, maestro!!
    Última edición por CarlosM; 09/09/2009 a las 20:02 Razón: Fusión automática de mensajes para prevenir autosubir post
    ____________________________________________

  40. #40
    Ingreso
    06 Jan, 09
    Ubicación
    Mallorca
    Mensajes
    132
    Post Thanks / Like
    FUNCIONA!!!
    Después de instalar los paquetes:
    curl
    libwxbase2.8-0
    libwxgtk2.8-0
    wx2.8-i18n
    wx-common


    Debian versión: 5.0.3 (Lenny)
    Nucli Lunux: 2.6.26-2-686
    Gnome: 2.22.3
    Processador intel(R) pentium(R) 4 CPU 2.00GHz


    mallorcaweb.net/torro
    picasaweb.google.com/peptorro

  41. #41
    Ingreso
    28 May, 09
    Ubicación
    Sevilla
    Mensajes
    39
    Post Thanks / Like

    Otro TO-DO

    Cita Iniciado por CarlosM Ver mensaje
    Pues es cierto, con dcraw a pelo tampoco va...

    :~/programas/ZeroNoise$ dcraw

    Raw photo decoder "dcraw" v8.86
    by Dave Coffin, dcoffin a cybercom o net

    .../...

    :~/programas/ZeroNoise$ dcraw IMG_0335.CR2
    IMG_0335.CR2: Corrupt data near 0x259bbe


    Sin embargo UFraw 0.15 si que puede con ella Voy a revisar las versiones, acabo de ver que UFraw 0.15 está basado en dcraw 8.89...
    _______________________________________________
    _______________________________________________
    OK, actualizado a la última versión de dcraw (8.97) y funciona. Gracias, maestro!!
    Gracias, CarlosM, por el apunte, lo añado a la lista de TO-DOS.... sacar una ventanica bonica de aviso cuando el dcraw protesta. Por ahora se limita a mostrar la lista de errores y mensajes que produce dcraw en la ventana de status.

    'Achias' y que lo disfrutes....
    _______________________________________________
    _______________________________________________
    Cita Iniciado por Guillermo Luijk Ver mensaje
    docechickens, qué versión de DCRAW estás usando? es habitual que si no usas la última no se decodifiquen bien las cámaras más recientes. CarlosM puedes probar a revelar un RAW con el último DCRAW a pelo.

    Salu2
    Jejeje, bueno, veo que está solucionado....de todas formas contesto, porque tiene su historia.

    Uso 2 versiones, la 8.86 y la 8.95, ¿ y por qué?

    Porque desde la versión 8.95, dcraw puede aplicar el gamma a la salida, y eso me lo ahorro en tiempo de cómputo para la imagen inicial mostrada en pantalla (se busca velocidad por todos los lados), si ZN detecta una versión anterior, llamará a su propia rutina de ajuste del gamma, sino, deja que dcraw haga el trabajo y se lo ahorra... jejeje

    Muacs...

    Ummmm, un momento..... me está viniendo una visión.... ummm

    Comienzo a ver splines, curvas de bezier, máscaras de luminancia con blurr, ajustes de brillo... y algunas otras cosas por todos los lados.. !!! y en 16bits por canal ¡¡¡¡¡ se avecinan buenos tiempos para los linuxeros..... Juassss

    Todo esto pronto......, muy pronto... ya toi jugando a diseñar/cargar/salvar mis propias curvas.....
    _______________________________________________
    _______________________________________________
    Cita Iniciado por escolar Ver mensaje
    He instalado getlibs-all, pero al ejecutarlo tanto así
    Código:
    getlibs -l libwx_gtk2u_richtext-2.8.so.0
    getlibs -l libwx_baseu_xml-2.8.so.0
    como así
    Código:
    sudo getlibs ZN
    me dice que no puede bajarse la librería del repositorio:
    Código:
    Failed to download file http://apt.wxwidgets.org/dists/hardy-wx/main/binary-amd64/libwxgtk2.8-0_2.8.10.1-0_i386.deb
    The mirrors do not have the requested file or there is no internet connection
    No packages to install
    Tendré que seguir intentándolo

    Muchas gracias

    Escolar , por mis huevos que echamos a andar eso....

    Alguien puede responder:

    ¿Qué librerías necesitan los sistemas de 64bits ? autorespond mode on-> Supongo que las de 32bits, ¿no ? es decir, las i386 ¿verdad?

    La línea que estás usando dice:
    Código:
    http://apt.wxwidgets.org/dists/hardy-wx/main/binary-amd64/libwxgtk2.8-0_2.8.10.1-0_i386.deb
    ... pero hay una contradicción, se está buscando un paquete para i386 en un directorio donde sólo hay paquetes para amd64.. y por eso es lógico que no lo encuentre ahí y salga ese fallo, en realidad, en el directorio que estás buscando, el directorio amd64, existe otro paquete llamado
    libwxgtk2.8-0_2.8.10.1-0_amd64.deb

    Pero no creo que sea el que necesitas... , el programa requiere librerías de 32bits....

    Sin embargo, el paquete solicitado por getlibs está en:

    Index of /dists/hardy-wx/main/binary-i386

    y se llama libwxgtk2.8-0_2.8.10.1-0_i386.deb

    prueba un wget http://apt.wxwidgets.org/dists/hardy...0.1-0_i386.deb

    o bien, pincha en el enlace y luego, cuando lo descargue, prueba a instalar el paquete manualmente.

    A ver si hay suerte esta vez...jejeje, y dejo de pegarme cabezotas contra el muro....
    _______________________________________________
    _______________________________________________
    Cita Iniciado por peptorro Ver mensaje
    FUNCIONA!!!
    Después de instalar los paquetes:
    curl
    libwxbase2.8-0
    libwxgtk2.8-0
    wx2.8-i18n
    wx-common


    Debian versión: 5.0.3 (Lenny)
    Nucli Lunux: 2.6.26-2-686
    Gnome: 2.22.3
    Processador intel(R) pentium(R) 4 CPU 2.00GHz


    Gracias, Peptorro, espero que eso ayude a otros usuarios.... ¡¡ Un debianita !!! jopelines qué ilusión
    Última edición por docepollos; 10/09/2009 a las 01:06 Razón: Fusión automática de mensajes para prevenir autosubir post

  42. #42
    Ingreso
    09 Sep, 09
    Ubicación
    Madrid
    Mensajes
    3
    Post Thanks / Like
    Yo lo he instalado en una hardy de 64-bits y todo funciona bien.

    Esos errores de repos que le da a Escolar son bien raros, pero no parece que tenga que ver con getlibs, tal vez con los repos y con algún problema de conectividad.

    Mira a ver que repos tienes en /etc/apt/sources.list, los mios contienen esto:

    Código:
    deb http://es.archive.ubuntu.com/ubuntu/ hardy main restricted
    deb-src http://es.archive.ubuntu.com/ubuntu/ hardy main restricted
    
    deb http://es.archive.ubuntu.com/ubuntu/ hardy-updates main restricted
    deb-src http://es.archive.ubuntu.com/ubuntu/ hardy-updates main restricted
    
    deb http://es.archive.ubuntu.com/ubuntu/ hardy universe
    deb-src http://es.archive.ubuntu.com/ubuntu/ hardy universe
    deb http://es.archive.ubuntu.com/ubuntu/ hardy-updates universe
    deb-src http://es.archive.ubuntu.com/ubuntu/ hardy-updates universe
    
    deb http://es.archive.ubuntu.com/ubuntu/ hardy multiverse
    deb-src http://es.archive.ubuntu.com/ubuntu/ hardy multiverse
    deb http://es.archive.ubuntu.com/ubuntu/ hardy-updates multiverse
    deb-src http://es.archive.ubuntu.com/ubuntu/ hardy-updates multiverse
    
    deb http://es.archive.ubuntu.com/ubuntu/ hardy-backports main restricted universe multiverse
    deb-src http://es.archive.ubuntu.com/ubuntu/ hardy-backports main restricted universe multiverse
    
    deb http://archive.canonical.com/ubuntu hardy partner
    deb-src http://archive.canonical.com/ubuntu hardy partner
    
    deb http://security.ubuntu.com/ubuntu hardy-security main restricted
    deb-src http://security.ubuntu.com/ubuntu hardy-security main restricted
    deb http://security.ubuntu.com/ubuntu hardy-security universe
    deb-src http://security.ubuntu.com/ubuntu hardy-security universe
    deb http://security.ubuntu.com/ubuntu hardy-security multiverse
    deb-src http://security.ubuntu.com/ubuntu hardy-security multiverse
    Comprueba con un apt-get update que te cargan todos y que tienes las claves cargadas.
    _______________________________________________
    _______________________________________________
    Cita Iniciado por CarlosM Ver mensaje
    8.04 o 9.04???

    ya vamos camino de la 9.11
    No tengo dudas sobre lo que uso, es una 8.04 LTS
    Vamos, una Hardy de 64-bits.

    Tengo máquinas con la 9.04, pero mantengo la LTS en mi portátil.

    Estuve tentado de cambiar la opción del gestor de paquetes que bloquea la actualización sólo a versiones LTS, pero de momento aun sigo con la 8.04.

    El problema que tengo con las actualizaciones, es que soy un enreda y me dedico a compilar cosas por mi cuenta y al actualizar, los paquetes metidos a capón se pueden quedar con dependencias rotas, empezando por openoffice que tengo la versión oficial en vez de la de Ubuntu.

    Ahora tengo un dilema porque necesito un kernel más nuevo del que me da el repo de Hardy para cargar un driver "trucado" de la wireless, y no quiero compilarlo por mi cuenta, porque entonces si que voy a joder las actualizaciones.
    Última edición por sleptic; 10/09/2009 a las 01:46 Razón: Fusión automática de mensajes para prevenir autosubir post

  43. #43
    Ingreso
    11 Jan, 04
    Ubicación
    Albacete
    Mensajes
    1,656
    Post Thanks / Like
    Pues nada, si bajo el paquete manualmente e intento instalarlo con un aptitude install me dice que la arquitectura no es la correcta.

    Lo que es extraño es que el getlibs busque las librerías en el sitio equivocado...

    Y respecto a los repositorios, tengo todos los que tiene sleptic (excepto los backport, que no creo que sea necesatrio en este caso) además del repositorio de wxwidggets.

    Un saludo
    Última edición por escolar; 12/09/2009 a las 10:32
    Mi cámara: Canon EOS300D + EFS 18-55 + EF 70-200 f4 L + Tamron SP AF24-135 Macro
    Mi laboratorio: The Gimp 2.2

    Mi galería: aquí

  44. #44
    Ingreso
    22 Sep, 09
    Ubicación
    UK
    Mensajes
    2
    Post Thanks / Like

    Screen size problem with zeronoise on Linux

    Forgive me for writing in English.

    I have got ZN running on Ubuntu, using the information posted earlier (I just had to install libwx...).

    On my laptop, which has a screen size 166 X 768 the main window does not display properly (the browse button is lost!). See here

    As this type of screen - 16:9 - is more common today, it would be really helpful of you could adjust the screen layout to fix this.

    If I plug in a larger display to my laptop then it works OK.

    I've only tried a couple of test photos, but the results are already very good.

    tia Iain

  45. #45
    Ingreso
    22 Mar, 08
    Ubicación
    Oviedo
    Mensajes
    13,195
    Post Thanks / Like
    ¿Cuando lo tendremos para windows?
    Estoy deseando verlo.

  46. #46
    Ingreso
    13 Dec, 04
    Ubicación
    Sevilla
    Mensajes
    2,355
    Post Thanks / Like
    Cita Iniciado por IainM Ver mensaje
    Forgive me for writing in English.

    I have got ZN running on Ubuntu, using the information posted earlier (I just had to install libwx...).

    On my laptop, which has a screen size 166 X 768 the main window does not display properly (the browse button is lost!). See here

    As this type of screen - 16:9 - is more common today, it would be really helpful of you could adjust the screen layout to fix this.

    If I plug in a larger display to my laptop then it works OK.

    I've only tried a couple of test photos, but the results are already very good.

    tia Iain
    Hi Iain

    I reported the same -give or take a few pixels- when running on my 1024x800px netbook, happens to be a "know bug". Screen doesn't scale properly as twelvechickens says, it's in TO-DO list but don't really know how high actually.

    let's be easy on him anyway, he just does it for the fun it!!
    ____________________________________________

  47. #47
    Ingreso
    22 Sep, 09
    Ubicación
    UK
    Mensajes
    2
    Post Thanks / Like
    Cita Iniciado por CarlosM Ver mensaje
    Hi Iain

    I reported the same -give or take a few pixels- when running on my 1024x800px netbook, happens to be a "know bug". Screen doesn't scale properly as twelvechickens says, it's in TO-DO list but don't really know how high actually.

    let's be easy on him anyway, he just does it for the fun it!!
    Thanks Carlos, I can plug in a bigger monitor in the meantime, so it's not a disaster!

    Thanks for the update.

  48. #48
    Ingreso
    27 Sep, 09
    Ubicación
    valladolid
    Mensajes
    1
    Post Thanks / Like
    gracias por el aporte y por los esfuerzos

    he probado todo lo que ponéis en el hilo . esperaré a la versión de 64 que espero ya venga en .deb
    lo dicho gracias

  49. #49
    Ingreso
    03 Oct, 09
    Ubicación
    Canyelles
    Mensajes
    1
    Post Thanks / Like

    Thumbs up ¡Conseguido!

    Bueno, al final he conseguido que me funcione el ZN de 32 bits en mi máquina de 64 con Ubuntu 9.04. La verdad es que me había cansado de andar copiando las fotos al viejo portátil de 32, así que me puse patas a la obra. Días atrás me había leído este hilo del foro, pero se me pasó el excelente artículo de Sleptic Creo que tendré que dormir de vez en cuando...

    De todas formas, "noblesse oblige" o como se diga, y la versión nativa de 64 bits sigue siendo una cuenta pendiente, ¿eh?

    ¡Gracias y saludos!

    Tirs (o Tirso, como os guste más).

  50. #50
    Ingreso
    05 Jul, 08
    Ubicación
    Tarragona
    Mensajes
    478
    Post Thanks / Like
    Para futuras referencias he conseguido instalar las librerías de 32 bits en Debian Lenny 64 bits. Me daba error de "No match for ...", así que hay que descargar e instalar a mano el paquete deb con las librerías i386 que podéis encontrar en los repositorios de i386. (Para instalar a mano, "sudo getlibs -w paquete.deb")

    Aún no he probado zeronoise pero muchas gracias por el trabajo que os estáis dando No me atrevo a pedir una versión nativa 64 bits, así que solo la sugeriré

    Por cierto, Krita soporta 16bits por canal, capas de ajuste y un montón de cosas más que desearía ver en Gimp. Lo malo: es terriblemente lento, mucho.
    Última edición por juanvvc; 08/10/2009 a las 19:54


 
Página 1 de 3 123 ÚltimoÚltimo

Marcadores

Marcadores

Permisos de publicación

  • No puedes crear nuevos temas
  • No puedes responder temas
  • No puedes subir archivos adjuntos
  • No puedes editar tus mensajes
  •